summaryrefslogtreecommitdiff
path: root/qa/qt/GNUmakefile.install
diff options
context:
space:
mode:
Diffstat (limited to 'qa/qt/GNUmakefile.install')
-rw-r--r--qa/qt/GNUmakefile.install41
1 files changed, 41 insertions, 0 deletions
diff --git a/qa/qt/GNUmakefile.install b/qa/qt/GNUmakefile.install
new file mode 100644
index 0000000..42bf49a
--- /dev/null
+++ b/qa/qt/GNUmakefile.install
@@ -0,0 +1,41 @@
+#!gmake
+#
+# Copyright (c) 2012 Red Hat.
+# Copyright (c) 2010 Aconex. All Rights Reserved.
+#
+
+ifdef PCP_CONF
+include $(PCP_CONF)
+else
+include $(PCP_DIR)/etc/pcp.conf
+endif
+PATH = $(shell . $(PCP_DIR)/etc/pcp.env; echo $$PATH)
+include $(PCP_INC_DIR)/builddefs
+
+# special variant of SUBDIRS_MAKERULE for running QA in the tree
+#
+SUBDIRS_MAKERULE = \
+ @for d in `echo $^ `; do \
+ if test -d "$$d" ; then \
+ $(ECHO) === $$d ===; \
+ if test -f "$$d/GNUmakefile.install"; then \
+ $(MAKE) -C $$d -f GNUmakefile.install $@ || exit $$?; \
+ else \
+ $(MAKE) -C $$d $@ || exit $$?; \
+ fi; \
+ fi; \
+ done
+
+SUBDIRS = qmc_context qmc_desc qmc_dynamic qmc_event qmc_format \
+ qmc_group qmc_hosts qmc_indom qmc_metric qmc_source
+
+default default_pcp: $(SUBDIRS)
+ $(SUBDIRS_MAKERULE)
+
+setup: $(SUBDIRS)
+ $(SUBDIRS_MAKERULE)
+
+install install_pcp: $(SUBDIRS)
+ $(SUBDIRS_MAKERULE)
+
+include $(BUILDRULES)